/**
 * Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)
 *
 * This software is a computer program whose purpose is to maintain and
 * administrate standalone forms.
 *
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 */
@import "common.css";

form {
    display: block;
    font-family: verdana;
    padding: 1em .4em;
    margin: auto;
    width: 940px;
}

form[label]:before {
    content: attr(label);
    display: block;
    font-size: 1.6em;
    font-weight: bold;
    margin: 40px 0px 20px 0px;
    text-align: center;
}

form > description {
    display: block;
    margin: 20px auto 20px auto;
    text-align: center;
    width: 80%;
}

form > group {
    display: block;
    border: 1px solid #777;
    list-style-type: upper-alpha;
    padding: 4px 15px 24px 15px;
}

group > group {
    display: block;
    border: 1px solid #777;
    list-style-type: upper-alpha;
    padding: 4px 15px 24px 15px;
    margin-bottom: 1.6em;
}

group + group {
    margin-top: 1em;
}

group + group[label] {
    border-top-style: none;
    margin-top: 0em;
}

group[label]:before {
    background-color: #BBB;
    content: attr(label);
    display: block;
    font-size: 1.6em;
    margin: -4px -15px 4px -15px;
    padding: 4px 15px;
    text-align: center;
    text-transform: uppercase;
}

group > description {
    margin-bottom: 20px;
}

data {
    display: block;
    margin-bottom: .6em;
}

data[label]:before {
    content: attr(label);
    display: block;
    font-weight: bold;
}

data > value {
    display: block;
    margin-left: 1.8em;
}

list {
    display: block;
}

text {
    display: block;
}

text:before {
    content: "[" attr(id) "] ";
    font-weight: bold;
    font-style: italic;
}

date {
    display: block;
}

date:before {
    content: "[" attr(id) "] ";
    font-weight: bold;
    font-style: italic;
}

file {
    display: block;
}

file:before {
    content: "[" attr(id) ":" attr(ref) "] ";
    font-weight: bold;
    font-style: italic;
}
